import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const getDirectBuyPermissionService = createAsyncThunk(
  "GET_DIRECT_BUY_PERMISSION_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("allow_direct_buying_total/");
    dispatch(LOADING_END());
    return { data, status };
  }
);
